# FoundationClasses
TKAdvTools
Expr

# Expr_IndexedMapNodeOfMapOfNamedUnknown Class Reference

`#include <Expr_IndexedMapNodeOfMapOfNamedUnknown.hxx>`

Inheritance diagram for Expr_IndexedMapNodeOfMapOfNamedUnknown:

[legend]

## Public Member Functions

| Expr_IndexedMapNodeOfMapOfNamedUnknown (const Handle(Expr_NamedUnknown)&K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_Expr_NamedUnknown & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_NamedUnknown | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

Expr_IndexedMapNodeOfMapOfNamedUnknown::Expr_IndexedMapNodeOfMapOfNamedUnknown | ( | const Handle(Expr_NamedUnknown)& | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const Expr_IndexedMapNodeOfMapOfNamedUnknown::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Handle_Expr_NamedUnknown& Expr_IndexedMapNodeOfMapOfNamedUnknown::Key1 | ( |  | ) | const

Standard_Integer& Expr_IndexedMapNodeOfMapOfNamedUnknown::Key2 | ( |  | ) | const

TCollection_MapNodePtr& Expr_IndexedMapNodeOfMapOfNamedUnknown::Next2 | ( |  | ) | const

## Field Documentation

Handle_Expr_NamedUnknown Expr_IndexedMapNodeOfMapOfNamedUnknown::myKey1 `[private]`

Standard_Integer Expr_IndexedMapNodeOfMapOfNamedUnknown::myKey2 `[private]`

TCollection_MapNodePtr Expr_IndexedMapNodeOfMapOfNamedUnknown::myNext2 `[private]`

The documentation for this class was generated from the following file:

- Expr_IndexedMapNodeOfMapOfNamedUnknown.hxx